package http_model

type TalentInfoRequest struct {
	TalentId string `json:"talent_id"`
}

type TalentInfoResponse struct {
	Income       int64  `json:"income"`        // 收益总数
	Withdrawing  int64  `json:"withdrawing"`   // 提现中金额
	Canwithdraw  int64  `json:"canwithdraw"`   // 可提现金额
	Withdrawed   int64  `json:"withdrawed"`    // 已提现金额
	DetailAddr   string `json:"detail_addr"`   // 详细地址
	PhoneNumber  string `json:"phone_number"`  // 联系电话
	ReceiverName string `json:"receiver_name"` // 收货人名字
}

func NewTalentInfoRequest() *TalentInfoRequest {
	return new(TalentInfoRequest)
}

func NewTalentInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(TalentInfoResponse)
	return resp
}
