package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"youngee_m_api/config"
	"youngee_m_api/route"
)

func main() {
	r := gin.Default()
	route.InitRoute(r)
	config := config.Init()
	addr := fmt.Sprintf("%v:%v", config.Host, config.Port)
	r.Run(addr)
}
